# ChatListener.ChatHandlerImpl (server 1.1 API)
declaration: package: dev.plex.listener.impl, class: ChatListener, class: ChatHandlerImpl

Package dev.plex.listener.impl

# Class ChatListener.ChatHandlerImpl

java.lang.Object
dev.plex.listener.impl.ChatListener.ChatHandlerImpl

All Implemented Interfaces:
  `dev.plex.api.chat.IChatHandler`

Enclosing class:
  ChatListener

public static class ChatListener.ChatHandlerImpl extends Object implements dev.plex.api.chat.IChatHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`private final ChatListener.PlexChatRenderer`
`renderer`

## Constructor Summary

Constructors
Constructor
Description
`ChatHandlerImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doChat(io.papermc.paper.event.player.AsyncChatEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### renderer

private final ChatListener.PlexChatRenderer renderer

## Constructor Details

### ChatHandlerImpl

public ChatHandlerImpl()

## Method Details

### doChat

public void doChat(io.papermc.paper.event.player.AsyncChatEvent event)

Specified by:
  `doChat` in interface `dev.plex.api.chat.IChatHandler`